package com.zcloud.basic.info.domain.model;

import com.jjb.saas.framework.domain.model.BaseE;
import lombok.Data;

import java.util.Date;

/**
 * web-domain
 *
 * @Author SondonYong
 * @Date 2025-12-02 17:15:56
 */
@Data
public class RzUserE extends BaseE {
    //主键
    private Long id;
    //业务主键id
    private String rzUserId;
    //用户名
    private String employeeName;
    //用户性别
    private String employeeGender;
    //年龄
    private Integer employeeAge;
    //入职时间
    private String entryTime;
    //状态（未入职、实习生、实习结束、在职、离职、退休、劳务派遣、劳务派遣结束）
    private String employeeStatus;
    //职务
    private String jobName;
    //职务级别
    private String jobLevel;
    //部门名称
    private String deptName;
    //部门编码
    private String deptCode;
    //岗位
    private String positionName;
    //手机号码
    private String phoneNumber;
    //身份证号
    private String idCardNumber;
    //员工照片编码
    private String employeeImagesCode;
    //员工照片（base64 格式，图片格式：jpg）
    private String employeeImages;
    //企业编码
    private String corporationCode;
    //企业名称
    private String corporationName;
    //是否确认
    private String isConfirm;
    //确认状态(0：未确认，1：自动确认，2：用户手动确认)
    private String confirmStatus;

    public void initByRzUserRecord(RzUserRecordE rzUserRecordE){
        this.setEmployeeName(rzUserRecordE.getEmployeeName());
        this.setEmployeeGender(rzUserRecordE.getEmployeeGender());
        this.setEmployeeAge(Integer.valueOf(rzUserRecordE.getEmployeeAge()));
        this.setEntryTime(rzUserRecordE.getEntryTime());
        this.setEmployeeStatus(rzUserRecordE.getEmployeeStatus());
        this.setJobName(rzUserRecordE.getJobName());
        this.setJobLevel(rzUserRecordE.getJobLevel());
        this.setDeptName(rzUserRecordE.getDeptName());
        this.setDeptCode(rzUserRecordE.getDeptCode());
        this.setPositionName(rzUserRecordE.getPositionName());
        this.setPhoneNumber(rzUserRecordE.getPhoneNumber());
        this.setIdCardNumber(rzUserRecordE.getIdCardNumber());
        this.setCorporationName(rzUserRecordE.getCorporationName());
        this.setCorporationCode(rzUserRecordE.getCorporationCode());
    }
}

